Go to the first, previous, next, last section, table of contents.

### `strtov`

`strtov(str)`
  :: Convert a string str into an indeterminate.

return
  intederminate
str
  string which is valid to constitute an indeterminate.

- Convert a string that is valid for an indeterminate into an indeterminate which have str as its print name.
- The valid string for an indeterminate is such a string that begins with a small alphabetical letter possibly followed by any string composed of alphabetical letters, digits or a symbol ``_'`.
- Use the command to create indeterminates dynamically in programs.

    [0] A="afo";
    afo
    [1] for (I=0;I<3;I++) {B=strtov(A+rtostr(I)); print([B,type(B)]);}
    [afo0,2]
    [afo1,2]
    [afo2,2]

`References`
  section `rtostr`, section `type`, section `uc`.

Go to the first, previous, next, last section, table of contents.